summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Chris Abela2011-10-30 02:03:49 +0200
committer Niels Horn2011-10-30 02:03:49 +0200
commit512eed69fc018f833b8dd9690c4218daefe6a3aa (patch)
tree02ebb90df9965ed7ce98cac6b6f51f140707db19 /games
parentca2058fb861b3610d6abbc6c2fc00233e119616e (diff)
downloadslackbuilds-512eed69fc018f833b8dd9690c4218daefe6a3aa.tar.gz
games/knights: Added (simple chess board for KDE 4)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/knights/README6
-rw-r--r--games/knights/doinst.sh13
-rw-r--r--games/knights/knights.SlackBuild98
-rw-r--r--games/knights/knights.info10
-rw-r--r--games/knights/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/games/knights/README b/games/knights/README
new file mode 100644
index 0000000000..d8f10795bf
--- /dev/null
+++ b/games/knights/README
@@ -0,0 +1,6 @@
+Knights is a simple chess board for KDE 4.
+
+It is a rewrite of the KDE3 Knights. You can play againts computer engines
+that support the XBoard protocol (like GnuChess), against anouther player
+at the same computer, or on the Free Internet Chess Server. It has
+automatic rule checking and some nice animations.
diff --git a/games/knights/doinst.sh b/games/knights/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/games/knights/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/knights/knights.SlackBuild b/games/knights/knights.SlackBuild
new file mode 100644
index 0000000000..4429a5d87c
--- /dev/null
+++ b/games/knights/knights.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for knights
+
+# Copyright 2011 Chris Abela, Malta
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIE
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=knights
+VERSION=${VERSION:-2.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ DESIGN README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/knights/knights.info b/games/knights/knights.info
new file mode 100644
index 0000000000..cc7c8cf881
--- /dev/null
+++ b/games/knights/knights.info
@@ -0,0 +1,10 @@
+PRGNAM="knights"
+VERSION="2.4.0"
+HOMEPAGE="http://noughmad.eu/knights"
+DOWNLOAD="http://dl.dropbox.com/u/2888238/Knights/knights-2.4.0.tar.bz2"
+MD5SUM="1b7adf1c60ac5e828dfa9e00c7e1c5e4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Chris Abela"
+EMAIL="kristofru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/games/knights/slack-desc b/games/knights/slack-desc
new file mode 100644
index 0000000000..bcee0473d6
--- /dev/null
+++ b/games/knights/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+knights: knights (simple chess board for KDE 4)
+knights:
+knights: It is a rewrite of the KDE3 Knights. You can play againts computer
+knights: engines that support the XBoard protocol (like GnuChess), against
+knights: anouther player at the same computer, or on the Free Internet Chess
+knights: Server. It has automatic rule checking and some nice animations.
+knights:
+knights: Homepage: http://noughmad.com/knights
+knights:
+knights:
+knights: